<?php 
ob_start();
require_once('../includes/AdminCommonIncludes.php');
if(isset($_GET['action']) && $_GET['action'] == 'GET_MAJOR') {
	if(isset($_GET['id']) && $_GET['id'] != '') {
		$fkDevicesId		=	$_GET['id'];
		$type				=	$_GET['type'];
		$fkOrganizationId	=	$_GET['orgId'];
		$beaconType			=	$_GET['beacon'];
		
		require_once('../controllers/BeaconController.php');
		$beaconObj   		=   new BeaconController();
		$majorArray1		=	array();
		$options	=	"<option value=''>Select</option>";
		if($beaconType == 1) {
			if($type	==	1)
				$options	.=	"<option value='new'>Add New</option>";
			$field		=	'Major';
			$condition	=	'fkDevicesId	=	'.$fkDevicesId.' GROUP BY Major';
			$majorArray =	$beaconObj->selectMajorLatDetails($field,$condition);
			if(isset($majorArray) && is_array($majorArray) && count($majorArray > 0)) {
				foreach($majorArray as $key => $value) {
					$options	.= "<option value=".$value->Major.">".$value->Major."</option>";
				}
			}else{
				$options	=	'';
			}
		} else if($beaconType == 3 || $beaconType == 4) {
			require_once('../controllers/UserController.php');
			$userObj	=   new UserController();
			
			$fields		=	" * ";
			$condition	=	" id = '".$fkOrganizationId."'";
			$orgresult	=	$userObj->getOrganization($fields,$condition);
			$isTraffic	=	$orgresult[0]->IsTraffic;
			$isOpenDoor	=	$orgresult[0]->IsOpenDoor;
			$majorFrom	=	$orgresult[0]->MajorFrom;
			$majorTo	=	$orgresult[0]->MajorTo;
			
			// echo "=====majorFrom========".$majorFrom."=======majorTo=======".$majorTo;
			
			$fields		=	'Major';
			$condition	=	"fkOrganizationId = '".$fkOrganizationId."' AND fkDevicesId = '".$fkDevicesId."' AND Status = 1 GROUP BY Major";
			$beaconResult = $beaconObj->selectBeaconDetails($fields,$condition);
			if(!empty($beaconResult)) {
				foreach($beaconResult as $beaconArray) {
					$beacons[]	=	$beaconArray->Major;
				}
			}
			
			$majorFields	=	'Major';
			$majorCondition	=	"fkDevicesId = '".$fkDevicesId."' GROUP BY Major";
			$majorResult	=	$beaconObj->selectMajorLatDetails($majorFields,$majorCondition);
			if(!empty($majorResult)) {
				foreach($majorResult as $majorDetails) {
					$majors[]	=	$majorDetails->Major;
				}
			}
			
			for($i=$majorFrom; $i<=$majorTo; $i++) {
				if(isset($majors) && !empty($majors) && !in_array($i,$majors)){
					continue;
				}else{
					$options .=  "<option value=".$i.">".$i."</option>";
				}
			}
		}
	}
	echo $options;
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_LATLNG') {
	if((isset($_GET['id']) && $_GET['id'] != '') && (isset($_GET['major']) && $_GET['major'] != '')) {
		$fkDevicesId	=	$_GET['id'];
		$Major			=	$_GET['major'];
		$output			=	'';
		
		require_once('../controllers/BeaconController.php');
		$beaconObj   		=   new BeaconController();
		
		$field			=	'*';
		$condition		=	'fkDevicesId	=	'.$fkDevicesId.' AND Major	='.$Major;
		$LatLngArray	=	$beaconObj->selectMajorLatDetails($field,$condition);
		if(isset($LatLngArray) && is_array($LatLngArray) && count($LatLngArray > 0)) {
			$resultArray[0]['Latitude']		=	$LatLngArray[0]->Latitude;
			$resultArray[0]['Longitude']		=	$LatLngArray[0]->Longitude;
			$resultArray[0]['Major']			=	$Major;
			$resultArray[0]['DeviceType']		=	'';
			$resultArray[0]['Title']			=	'Major : '.$Major;
		}
		if(!empty($resultArray)) 
			$output	=	json_encode($resultArray);
		else
			$output	=	'';
	}
	echo $output;
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_TYPE') {
	if(isset($_GET['orgId']) && $_GET['orgId'] != '') {
		$id	=	$_GET['orgId'];
		require_once('../controllers/UserController.php');
		$userObj	= 	new UserController();
		require_once('../controllers/DeviceController.php');
		$deviceObj	=	new DeviceController();
		
		$fields		=	' IsTraffic,IsOpenDoor ';
		$condition	=	" id = '".$id."'";
		$result		=	$userObj->getOrganization($fields,$condition);
		
		$isTraffic	=	$result[0]->IsTraffic;
		$isOpenDoor	=	$result[0]->IsOpenDoor;
		if($isOpenDoor == 1 && $isTraffic == 1){
			$output	=	'isTraffic isOpenDoor';
		}else if($isTraffic == 1) {
			$output	=	'isTraffic';
		} else if($isOpenDoor == 1) {
			$output	=	'isOpenDoor';
		} else {
			$output	=	'false';
		}
		
		$locFields		= 'id, DeviceId, DeviceName';
		$locCondition   = ' 1 and Status = 1 and fkOrganizationId = '.$id;
		$locDetails		= $deviceObj->selectDeviceDetails($locFields,$locCondition);
		if(isset($locDetails)  && !empty($locDetails)){
			foreach($locDetails as $key=>$val){
				$uuidsArray[$val->id] =  $val->DeviceName;
			}
		}
		$output .= '# <option value="">Select</option>';
		
		if(isset($uuidsArray)){
			foreach($uuidsArray as $key=>$val){ 
				$output	.=	'<option value="'.$key.'" >'.$val.'</option>';
			}
		}
		
		echo $output;
	}
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_MAJOR_RANGE') {
	if((isset($_GET['orgId']) && $_GET['orgId'] != '') && (isset($_GET['type']) && $_GET['type'] != '')) {
		$orgId			=	$_GET['orgId'];
		$type			=	$_GET['type'];
		$output			=	'';
		
		require_once('../controllers/UserController.php');
		$userLoginObj   	=   new UserController();
		$fields		=	" * ";
		$condition	=	" id = '".$orgId."' and Status = 1 ";
		$output .= '<li class="init"><a>Select</a></li>';
		$orgresult	=	$userLoginObj->getOrganization($fields,$condition);
		if(!empty($orgresult)){
			$isTraffic	=	$orgresult[0]->IsTraffic;
			$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
			$majorFrom	=	$orgresult[0]->MajorFrom;
			$majorTo	=	$orgresult[0]->MajorTo;
			 $field		=	"	m.Major ";
			$conditions	=	"  d.DeviceType='".$type."' and d.Status = 1 ";
			$majorresult	=	$userLoginObj->getMajorLat($field,$conditions);
			foreach($majorresult as $key=>$value)
				$major[$key]	=	$value->Major;
			$majors	=	implode(',',$major);
			
			/*$output .= '<option value ="">Select</option>';
			if(isset($majorFrom) && isset($majorTo)) { 
				for($i=$majorFrom; $i<=$majorTo; $i++) {
					$style = '  ';
					if(in_array($i, $major))	$style = ' red '; 
					$output .= '<option class='.$style.' value="'.$i.'">'.$i.'</option>';
				}
			}*/
			
			if(isset($majorFrom) && isset($majorTo)) { 
				for($i=$majorFrom; $i<=$majorTo; $i++) {
					$style = '  ';
					if(in_array($i, $major))	$style = ' red '; 
					$output .= '<li class='.$style.'><a>'.$i.'</a></li>';
				}
			}
		}
		echo $output;
	}
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_TRAFFIC_LOCATIONS') {
	$orgId	= '';
	if(isset($_GET['orgId']) && $_GET['orgId'] != '') {
		$orgId	=	$_GET['orgId'];
	}
	require_once('../controllers/BeaconController.php');
	$beaconObj   		=   new BeaconController();
	$resultArray		=	array();
	$fields				=	"*";
	if($orgId > 0)
		$condition			=	"fkOrganizationId = '".$orgId."' AND BeaconType = '2' AND Status = '1'"; 
	else
		$condition			=	"BeaconType = '2' AND Status = '1'"; 
	$beaconDetails		=	$beaconObj->selectBeaconDetails($fields,$condition);
	
	if(isset($beaconDetails) && !empty($beaconDetails)) {
		foreach($beaconDetails as $key => $val) {
			$resultArray[$key]['id']			=	$val->id;	
			$resultArray[$key]['title']			=	$val->Description;	
			$resultArray[$key]['Latitude']		=	$val->Latitude;	
			$resultArray[$key]['Longitude']		=	$val->Longitude;	
		}
	}
	if(!empty($resultArray)) 
		$result	=	json_encode($resultArray);
	else
		$result	=	'';
	
	echo $result;
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_ORGANIZATION_LOCATION') {
	if(isset($_GET['orgId']) && $_GET['orgId'] != '') {
		$orgId		=	$_GET['orgId'];
		require_once('../controllers/BeaconController.php');
		
		require_once('../controllers/UserController.php');
		$userLoginObj   	=   new UserController();
		
		$fields		=	" * ";
		$condition	=	" id = '".$orgId."'";
		$orgresult	=	$userLoginObj->getOrganization($fields,$condition);
		$isTraffic	=	$orgresult[0]->IsTraffic;
		$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
		$majorFrom	=	$orgresult[0]->MajorFrom;
		$majorTo	=	$orgresult[0]->MajorTo;
		 $field		=	"	m.Major ";
		$conditions	=	"  d.DeviceType IN (3,4) ";
		$majorresult	=	$userLoginObj->getMajorLat($field,$conditions);
		foreach($majorresult as $key=>$value)
			$major[$key]	=	$value->Major;
		
		if(isset($majorFrom) && isset($majorTo)) { 
			for($i=$majorFrom; $i<=$majorTo; $i++) {
				if(in_array($i, $major))
					$majorDet[]	=	$i;
			}
		}
		
		if(isset($majorDet) && !empty($majorDet))
			$majors	=	implode(',',$majorDet);
		
		
		
		$beaconObj   			=   new BeaconController();
		$resultArray			=	array();
		$fields					=	"m.Latitude,m.Longitude,d.DeviceType,m.Major,d.DeviceName";
		$condition				=	" d.Status = 1 AND d.fkOrganizationId = '".$orgId."'";
		if(isset($majors) && $majors != '')
			$condition	.=	" OR m.Major in (".$majors.")";
		
		//$condition	.=	" GROUP BY m.fkDevicesId, m.Major";
		
		$majorLocationArray		=	$beaconObj->selectMajorDetails($fields,$condition);
		if(isset($majorLocationArray) && !empty($majorLocationArray)) {
			foreach($majorLocationArray as $mKey => $mVal) {
				$resultArray[$mKey]['Latitude']		=	$mVal->Latitude;
				$resultArray[$mKey]['Longitude']	=	$mVal->Longitude;
				$resultArray[$mKey]['DeviceType']	=	$mVal->DeviceType;
				$resultArray[$mKey]['Title']		=	'Device Name : '.$mVal->DeviceName.', Major : '.$mVal->Major;
				//$resultArray[$mKey]['BeaconCount']	=	$mVal->BeaconCount;
				$resultArray[$mKey]['Major']		=	$mVal->Major;
			}
		}
		if(!empty($resultArray)) 
			$result	=	json_encode($resultArray);
		else
			$result	=	'';
		
		echo $result;
	}
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_MAJOR_LOCATIONS') {
	if(isset($_GET['orgId']) && $_GET['orgId'] != '') 
		$orgId		=	$_GET['orgId'];
	if(isset($_GET['type']) && $_GET['type'] != '')
		$deviceType	=	$_GET['type'];
	require_once('../controllers/BeaconController.php');
	$beaconObj   			=   new BeaconController();
	
	require_once('../controllers/UserController.php');
	$userLoginObj   	=   new UserController();
	
	$fields		=	" * ";
	$condition	=	" id = '".$orgId."' and Status = 1 ";
	$orgresult	=	$userLoginObj->getOrganization($fields,$condition);
	$isTraffic	=	$orgresult[0]->IsTraffic;
	$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
	$majorFrom	=	$orgresult[0]->MajorFrom;
	$majorTo	=	$orgresult[0]->MajorTo;
	 $field		=	"	m.Major ";
	$conditions	=	"  d.DeviceType = '".$deviceType."'";
	$majorresult	=	$userLoginObj->getMajorLat($field,$conditions);
	foreach($majorresult as $key=>$value)
		$major[$key]	=	$value->Major;
	
	if(isset($majorFrom) && isset($majorTo)) { 
		for($i=$majorFrom; $i<=$majorTo; $i++) {
			if(in_array($i, $major))
				$majorDet[]	=	$i;
		}
	}
	
	if(isset($majorDet) && !empty($majorDet))
		$majors	=	implode(',',$majorDet);
	
	$resultArray			=	array();
	$fields					=	"m.Latitude,m.Longitude,d.DeviceType,m.Major,d.DeviceName";
	if($deviceType == 1)
		$condition				=	" d.Status = 1 AND d.fkOrganizationId = '".$orgId."' AND d.DeviceType = '".$deviceType."'";
	if(isset($majors) && $majors != '' && ($deviceType == 3 || $deviceType == 4))
		$condition	=	" m.Major in (".$majors.") AND d.DeviceType = '".$deviceType."' AND d.Status = 1";
	
	//$condition	.=	" GROUP BY m.fkDevicesId, m.Major";
	
	$majorLocationArray		=	$beaconObj->selectMajorDetails($fields,$condition);
	// echo "<pre>=========>";print_r($majorLocationArray);echo "<=========</pre>";
	if(isset($majorLocationArray) && !empty($majorLocationArray)) {
		foreach($majorLocationArray as $mKey => $mVal) {
			$resultArray[$mKey]['Latitude']		=	$mVal->Latitude;
			$resultArray[$mKey]['Longitude']	=	$mVal->Longitude;
			$resultArray[$mKey]['DeviceType']	=	$mVal->DeviceType;
			$resultArray[$mKey]['Title']		=	'Device Name : '.$mVal->DeviceName.', Major : '.$mVal->Major;
			//$resultArray[$mKey]['BeaconCount']	=	$mVal->BeaconCount;
			$resultArray[$mKey]['Major']		=	$mVal->Major;
		}
	}
	if(!empty($resultArray)) 
		$result	=	json_encode($resultArray);
	else
		$result	=	'';
	
	echo $result;
}

if(isset($_GET['action']) && $_GET['action'] == 'GET_ORGANIZATION_DEVICES') {
	$beaconList	=	array();
	if(isset($_GET['orgId']) && $_GET['orgId'] != '')
		$orgId	=	$_GET['orgId'];
	
	
	require_once('../controllers/BeaconController.php');
	$beaconObj	=   new BeaconController();
	require_once('../controllers/UserController.php');
	$userObj   		=   new UserController();
	
	$fields		=	"id,Description,BeaconType";
	$condition	=	"Status = 1 and fkOrganizationId = ".$orgId." order by BeaconType asc, Description asc";
	
	$beaconList	=	$beaconObj->selectBeaconDetails($fields,$condition);
	
	// echo "<pre>=========>";print_r($beaconList);echo "<=========</pre>";
	
	$beaconsArray	=	array();
	if(isset($_GET['userId']) && $_GET['userId'] != '' && $_GET['userId'] != 0) {
		$condition       		= 	" id = ".$_GET['userId']." and Status in (0,1)";
		$fields					=	'UserBeacons';
		$userDetailsResult  	= 	$userObj->selectUserDetails($fields,$condition);
		$beacons				=	$userDetailsResult[0]->UserBeacons;
		if(isset($beacons) && $beacons != '') {
			$beaconsArray	=	explode(',',$beacons);
		}
	}
	
	$beaconListResult	=	array();
	if(!empty($beaconList) && count($beaconList) > 0) {
		foreach($beaconList as $bKey => $bVal) {
			$beaconListResult[$bVal->BeaconType][$bVal->id]	=	$bVal->Description;
		}
	}
	
	// echo "<pre>=========>";print_r($beaconListResult);echo "<=========</pre>";
	
	$result		=	'';
	if(!empty($beaconListResult) && count($beaconListResult) > 0) {
		foreach($beaconListResult as $beaconKey => $beaconVal) {
			if($beaconKey == 1)
				$result	.=	"<div><label>IBeacons</label></div>";
			else if($beaconKey == 2)
				$result	.=	"<div><label>Virtual Beacons</label></div>";
			else if($beaconKey == 3)
				$result	.=	"<div><label>Traffic Beacons</label></div>";
			else if($beaconKey == 4)
				$result	.=	"<div><label>Open Door Beacons</label></div>";
			foreach($beaconVal as $bnKey => $bnVal) {
				$checked	=	'';
				if(!empty($beaconsArray) && in_array($bnKey,$beaconsArray))	$checked	=	'checked';
				$result	.=	"<div class='beacon-chkout'><input type='checkbox' name='beacons[]' id='beacon_".$bnKey."' value=".$bnKey." ".$checked."><label for='beacon_".$bnKey."'>".$bnVal."</label></div>";
			}
		}
		echo $result;
	} else {
		echo '<span style="color:red">No Beacons found</span>';
	}
}


if(isset($_GET['action']) && $_GET['action'] == 'ADD_INTERSECTION') {
	//echo "<pre>===1111=====";print_r($beacon_details);echo "<==========</pre>";
	// echo "<br>==========>".$this->beaconTable;
	if(isset($beacon_details['StreetMode']) && $beacon_details['StreetMode'] == 'on')
		$StreetMode		=	1;
	else
		$StreetMode			=	0;
	if(isset($beacon_details['AutomaticChk']) && $beacon_details['AutomaticChk'] == 'on')
		$AutomaticChk		=	1;
	else
		$AutomaticChk		=	0;
	if(isset($beacon_details['AlignmentChk']) && $beacon_details['AlignmentChk'] == 'on')
		$AlignmentChk		=	1;
	else
		$AlignmentChk		=	0;
	if(isset($beacon_details['WalkThere']) && $beacon_details['WalkThere'] == 'on')
		$WalkThere			=	1;
	else
		$WalkThere			=	0;
	$sql	=	'insert into  '.$this->beaconTable.' set fkAdminsId		= "'.$beacon_details['fkAdminsId'].'", 
														fkOrganizationId = "'.$beacon_details['fkOrganizationId'].'",
														fkUsersId	    = "'.$beacon_details['fkUsersId'].'",
														fkDevicesId	    = "'.$beacon_details['uuid'].'",
														BeaconType		= "'.$beacon_details['BeaconType'].'",
														Major			= "'.$beacon_details['Major'].'",
														Minor			= "'.$beacon_details['Minor'].'",
														Latitude		= "'.$beacon_details['Latitude'].'",
														Longitude		= "'.$beacon_details['Longitude'].'",
														Description		= "'.$beacon_details['Description'].'",
														DescriptionFR	= "'.$beacon_details['DescriptionFR'].'",
														StaticMessage	= "'.$beacon_details['StaticMessage'].'",
														StaticMessageFR	= "'.$beacon_details['StaticMessageFR'].'",
														DynamicMessage	= "'.$beacon_details['DynamicMessage'].'",
														DynamicMessageFR= "'.$beacon_details['DynamicMessageFR'].'",
														Photo			= "",
														Status			= "'.$beacon_details['Status'].'",
														BatteryPower	= "'.$beacon_details['BatteryPower'].'",
														EnableBluetooth	= "'.$beacon_details['EnableBluetooth'].'",
														LocationLimit	= "'.$beacon_details['LocationLimit'].'",
														Angle1WaitMessage	= "'.$beacon_details['Angle1WaitMessage'].'",
														Angle1WaitMessageFr	= "'.$beacon_details['Angle1WaitMessageFr'].'",
														Angle1WalkMessage	= "'.$beacon_details['Angle1WalkMessage'].'",
														Angle1WalkMessageFr	= "'.$beacon_details['Angle1WalkMessageFr'].'",
														Angle2WaitMessage	= "'.$beacon_details['Angle2WaitMessage'].'",
														Angle2WaitMessageFr	= "'.$beacon_details['Angle2WaitMessageFr'].'",
														Angle2WalkMessage	= "'.$beacon_details['Angle2WalkMessage'].'",
														Angle2WalkMessageFr	= "'.$beacon_details['Angle2WalkMessageFr'].'",
														StreetMode			= "'.$StreetMode.'",
														AutomaticChk		= "'.$AutomaticChk.'",
														Alignment			= "'.$AlignmentChk.'",
														WalkMeThere			= "'.$WalkThere.'",
														Street1NameEnglish	= "'.$beacon_details['Street1Name'].'",
														Street2NameEnglish	= "'.$beacon_details['Street2Name'].'",
														Street1NameFrench	= "'.$beacon_details['Street1NameFR'].'",
														Street2NameFrench	= "'.$beacon_details['Street2NameFR'].'",
														Identifier			= "'.$beacon_details['Identifier'].'",
														BatteryLastUpdated = "0000-00-00",
														BeaconLatitude		= "'.$beacon_details['BeaconLatitude'].'",
														BeaconLongitude		= "'.$beacon_details['BeaconLongitude'].'",
														DateCreated 	= "'.date('Y-m-d H:i:s').'",
														DateModified	= "'.date('Y-m-d H:i:s').'"';
														
	/* echo "<br>===============".$sql;
	die();*/

										//Angle1Message	= "'.$beacon_details['Angle1Msg'].'",
														//Angle1MessageFr	= "'.$beacon_details['Angle1MsgFr'].'",
														//Angle2Message	= "'.$beacon_details['Angle2Msg'].'",
														//Angle2MessageFr	= "'.$beacon_details['Angle2MsgFr'].'", */
	$this->result = $this->insertInto($sql);
	
	$insertId = $this->sqlInsertId();
	return $insertId;
}
if(isset($_GET['action']) && $_GET['action'] == 'GET_MAJOR_AND_MINOR') {
	if(isset($_GET['id']) && $_GET['id'] != '') {
		$MajorArrray	=	array();
		$MinorArray		=	array();
		$exist_minor=1;$exist ='';
		$fkDevicesId		=	$_GET['id'];
		$type				=	$_GET['type'];
		$fkOrganizationId	=	$_GET['orgId'];
		$beaconType			=	$_GET['beacon'];
		$output			=	'';
		require_once('../controllers/BeaconController.php');
		$beaconObj   		=   new BeaconController();
		$majorArray1		=	array();
		require_once('../controllers/UserController.php');
		$userObj	=   new UserController();
		
		$fields		=	" * ";
		$condition	=	" id = '".$fkOrganizationId."'";
		$orgresult	=	$userObj->getOrganization($fields,$condition);
		if(!empty($orgresult)){
			$isTraffic	=	$orgresult[0]->IsTraffic;
			$IsOpenDoor	=	$orgresult[0]->IsOpenDoor;
			$majorFrom	=	$orgresult[0]->MajorFrom;
			$majorTo	=	$orgresult[0]->MajorTo;
			 $field		=	"	m.Major ";
			$conditions	=	"  d.DeviceType='3' and d.Status = 1 ";
			$majorresult	=	$userObj->getMajorLat($field,$conditions);
			//print_r($majorresult);
			foreach($majorresult as $key=>$value)
				$major[$key]	=	$value->Major;
			$majors	=	implode(',',$major);
			
			if(isset($majorFrom) && isset($majorTo)) { 
				$exist=$majorFrom;
				for($i=$majorFrom; $i<=$majorTo; $i++) {
					$style = '  ';
					if(in_array($i, $major)){
					$output .= $i;
					}
				}
			}
		}
		if(isset($exist) && $exist!='')
		{
			$feilds=' Minor ';
			$cond=' and Major='.$exist.' order by minor DESC';
			$result_minor=$beaconObj->getLastMinorDetials($feilds,$cond);
			if(isset($result_minor) && count($result_minor)>0){
			$exist_minor=$result_minor[0]->Minor;
			$exist_minor++;
			}
		}
		$result=array();
		$result['major']=$exist;
		$result['minor']=$exist_minor;
		echo json_encode($result);
	}		
}
?>
