<?php
	class BeaconModel extends Model
	{
		function getTotalRecordCount()
		{
			$result = $this->sqlCalcFoundRows();
			return $result;
		}
		function getBeaconList($fields,$condition)
		{
			$limit_clause = '';
			if(isset($_SESSION['beacon_sess_type_of_user']) && $_SESSION['beacon_sess_type_of_user'] == 1)
				$sorting_clause		=	'b.Description asc';
			else 
				$sorting_clause = 'b.id desc';
			/* if(!empty($_SESSION['ordertype']))
				$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype']; */
			if(isset($_SESSION['curpage']))
				$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		/* 	if(isset($_SESSION['beacon_sess_beacons_device_name']) && $_SESSION['beacon_sess_beacons_device_name'] != '')
				$condition	.= " AND d.DeviceName = '".$_SESSION['beacon_sess_beacons_device_name']."'";
			if(isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '')
				$condition	.= " AND d.DeviceId = '".$_SESSION['beacon_sess_devices_device_id']."'"; */
			if(isset($_SESSION['beacon_sess_beacons_device_name']) && $_SESSION['beacon_sess_beacons_device_name'] != '')
				$condition	.= " AND d.DeviceName LIKE '%".$_SESSION['beacon_sess_beacons_device_name']."%'";
			if(isset($_SESSION['beacon_sess_beacon_name']) && $_SESSION['beacon_sess_beacon_name'] != '')
				$condition	.= " AND b.Description LIKE '%".$_SESSION['beacon_sess_beacon_name']."%'";
			if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '')
				$condition .= " AND b.fkOrganizationId = '".$_SESSION['beacon_sess_organization_name']."'";
			if(isset($_SESSION['beacon_sess_beacon_status']) && $_SESSION['beacon_sess_beacon_status'] != '')
				$condition	.= " AND b.Status = ".$_SESSION['beacon_sess_beacon_status'];
			if(isset($_SESSION['beacon_sess_devices_location_limit']) && $_SESSION['beacon_sess_devices_location_limit'] != '')
				$condition	.= " AND b.LocationLimit <= ".$_SESSION['beacon_sess_devices_location_limit'];
			if(isset($_SESSION['beacon_sess_beacon_type']) && $_SESSION['beacon_sess_beacon_type'] != '')
				$condition	.= " AND b.BeaconType = ".$_SESSION['beacon_sess_beacon_type'];
			if(isset($_SESSION['beacon_sess_beacon_major']) && $_SESSION['beacon_sess_beacon_major'] != '')
				$condition	.= " AND b.Major = ".$_SESSION['beacon_sess_beacon_major']; 			
			if(isset($_SESSION['beacon_sess_beacon_minor']) && $_SESSION['beacon_sess_beacon_minor'] != '')
				$condition	.= " AND b.Minor = ".$_SESSION['beacon_sess_beacon_minor']; 
			
			$sql	= "SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->beaconTable} as b LEFT JOIN {$this->deviceTable} as d ON (b.fkDevicesId=d.id) LEFT JOIN {$this->userTable} as u ON (b.fkUsersId=u.id) WHERE 1".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;
			//echo "=============".$sql;
			$result	=	$this->sqlQueryArray($sql);
			if(count($result) == 0) return false;
			else return $result;
		}
		function insertBeaconDetails($beacon_details){
			//echo "<pre>===1111=====";print_r($beacon_details);echo "<==========</pre>";
			// echo "<br>==========>".$this->beaconTable;
			if(isset($beacon_details['StreetMode']) && $beacon_details['StreetMode'] == 'on')
				$StreetMode		=	1;
			else
				$StreetMode			=	0;
			if(isset($beacon_details['AutomaticChk']) && $beacon_details['AutomaticChk'] == 'on')
				$AutomaticChk		=	1;
			else
				$AutomaticChk		=	0;
			if(isset($beacon_details['AlignmentChk']) && $beacon_details['AlignmentChk'] == 'on')
				$AlignmentChk		=	1;
			else
				$AlignmentChk		=	0;
			if(isset($beacon_details['WalkThere']) && $beacon_details['WalkThere'] == 'on')
				$WalkThere			=	1;
			else
				$WalkThere			=	0;
			$sql	=	'insert into  '.$this->beaconTable.' set fkAdminsId		= "'.$beacon_details['fkAdminsId'].'", 
																fkOrganizationId = "'.$beacon_details['fkOrganizationId'].'",
																fkUsersId	    = "'.$beacon_details['fkUsersId'].'",
																fkDevicesId	    = "'.$beacon_details['uuid'].'",
																BeaconType		= "'.$beacon_details['BeaconType'].'",
																Major			= "'.$beacon_details['Major'].'",
																Minor			= "'.$beacon_details['Minor'].'",
																Latitude		= "'.$beacon_details['Latitude'].'",
																Longitude		= "'.$beacon_details['Longitude'].'",
																Description		= "'.$beacon_details['Description'].'",
																DescriptionFR	= "'.$beacon_details['DescriptionFR'].'",
																StaticMessage	= "'.$beacon_details['StaticMessage'].'",
																StaticMessageFR	= "'.$beacon_details['StaticMessageFR'].'",
																DynamicMessage	= "'.$beacon_details['DynamicMessage'].'",
																DynamicMessageFR= "'.$beacon_details['DynamicMessageFR'].'",
																Photo			= "",
																Status			= "'.$beacon_details['Status'].'",
																BatteryPower	= "'.$beacon_details['BatteryPower'].'",
																EnableBluetooth	= "'.$beacon_details['EnableBluetooth'].'",
																LocationLimit	= "'.$beacon_details['LocationLimit'].'",
																Angle1WaitMessage	= "'.$beacon_details['Angle1WaitMessage'].'",
																Angle1WaitMessageFr	= "'.$beacon_details['Angle1WaitMessageFr'].'",
																Angle1WalkMessage	= "'.$beacon_details['Angle1WalkMessage'].'",
																Angle1WalkMessageFr	= "'.$beacon_details['Angle1WalkMessageFr'].'",
																Angle2WaitMessage	= "'.$beacon_details['Angle2WaitMessage'].'",
																Angle2WaitMessageFr	= "'.$beacon_details['Angle2WaitMessageFr'].'",
																Angle2WalkMessage	= "'.$beacon_details['Angle2WalkMessage'].'",
																Angle2WalkMessageFr	= "'.$beacon_details['Angle2WalkMessageFr'].'",
																StreetMode			= "'.$StreetMode.'",
																AutomaticChk		= "'.$AutomaticChk.'",
																Alignment			= "'.$AlignmentChk.'",
																WalkMeThere			= "'.$WalkThere.'",
																Street1NameEnglish	= "'.$beacon_details['Street1Name'].'",
																Street2NameEnglish	= "'.$beacon_details['Street2Name'].'",
																Street1NameFrench	= "'.$beacon_details['Street1NameFR'].'",
																Street2NameFrench	= "'.$beacon_details['Street2NameFR'].'",
																Identifier			= "'.$beacon_details['Identifier'].'",
																BatteryLastUpdated = "0000-00-00",
																BeaconLatitude		= "'.$beacon_details['BeaconLatitude'].'",
																BeaconLongitude		= "'.$beacon_details['BeaconLongitude'].'",
																DateCreated 	= "'.date('Y-m-d H:i:s').'",
																DateModified	= "'.date('Y-m-d H:i:s').'"';
																
			/* echo "<br>===============".$sql;
			die();*/

												//Angle1Message	= "'.$beacon_details['Angle1Msg'].'",
																//Angle1MessageFr	= "'.$beacon_details['Angle1MsgFr'].'",
																//Angle2Message	= "'.$beacon_details['Angle2Msg'].'",
																//Angle2MessageFr	= "'.$beacon_details['Angle2MsgFr'].'", */
			$this->result = $this->insertInto($sql);
			
			$insertId = $this->sqlInsertId();
			return $insertId;
		}
		
		function insertMajorDetails($fields) {
			$sql	=	"INSERT INTO {$this->majorTable} set ".$fields;	
			/* echo "<br>===============".$sql;
			die(); */
			$this->result = $this->insertInto($sql);
			
			$insertId = $this->sqlInsertId();
			return $insertId;
		}
		
		function selectMajorDetails($fields,$condition) {
			$sql	=	"SELECT ".$fields." FROM {$this->majorTable} as m 
						LEFT JOIN {$this->deviceTable} as d on (m.fkDevicesId = d.id )  
						WHERE ".$condition;
			// echo "=============".$sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function selectMajorLatDetails($fields,$condition) {
			$sql	=	"SELECT ".$fields." FROM {$this->majorTable} WHERE ".$condition;
			// echo "=============".$sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		
		function updateMajorDetails($fields,$condition) {
			$sql	=	"UPDATE {$this->majorTable} SET ".$fields." WHERE ".$condition;
			/*echo "<br>===============".$sql;
			die(); */
			 $this->updateInto($sql);
		}
		
		function insertBeaconAngle($beacon_angle) {
			$sql	=	"INSERT INTO {$this->beaconAngleTable} set fkBeaconsId			=	'".$beacon_angle['fkBeaconsId']."',
																   Angle1				=	'".$beacon_angle['Angle1']."',
																   Angle2				=	'".$beacon_angle['Angle2']."',
																   Angle3				=	'".$beacon_angle['Angle3']."',
																   Angle4				=	'".$beacon_angle['Angle4']."',
																   Angle1Description	=	'".$beacon_angle['Angle1Description']."',
																   Angle2Description	=	'".$beacon_angle['Angle2Description']."',
																   Angle3Description	=	'".$beacon_angle['Angle3Description']."',
																   Angle4Description	=	'".$beacon_angle['Angle4Description']."',
																   Angle1DescriptionFR	=	'".$beacon_angle['Angle1DescriptionFR']."',
																   Angle2DescriptionFR	=	'".$beacon_angle['Angle2DescriptionFR']."',
																   Angle3DescriptionFR	=	'".$beacon_angle['Angle3DescriptionFR']."',
																   Angle4DescriptionFR	=	'".$beacon_angle['Angle4DescriptionFR']."',
																   DateCreated 	= '".date('Y-m-d H:i:s')."'";
																   
			$this->result = $this->insertInto($sql);
			
			$insertId = $this->sqlInsertId();
			return $insertId;
		
		}
		
		function getBeaconAngle($fields,$conditions) {
			$sql	=	"SELECT ".$fields." FROM {$this->beaconAngleTable} WHERE ".$conditions;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		
		function updateBeaconAngle($fields,$condition) {
			$sql	=	"UPDATE {$this->beaconAngleTable} SET ".$fields." WHERE ".$condition;
			// echo "<br>===============".$sql;
			$this->updateInto($sql);
		}
		
		function updateBeaconDetails($update_string,$condition){
			$sql	 =	"update {$this->beaconTable}  set ".$update_string." where ".$condition;
			 //echo '==================>'.$sql;
			 //die(); 
			$this->updateInto($sql);
		}
		function selectBeaconDetails($field,$condition){
			$sql	 =	"select ".$field." from {$this->beaconTable} where ".$condition;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function getBeaconDetail($field,$condition){
			$sql	 =	"select ".$field." from {$this->beaconTable} as b 
						 LEFT JOIN {$this->deviceTable} as d ON (b.fkDevicesId=d.id) 
					 	 LEFT JOIN {$this->userTable} as u ON (b.fkUsersId=u.id)			
						 where ".$condition;
			// echo "=========sql========".$sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function getBeaconCount($field,$condition) {
			if((isset($_SESSION['beacon_sess_from_date']) && $_SESSION['beacon_sess_from_date'] != '') && (isset($_SESSION['beacon_sess_to_date']) && $_SESSION['beacon_sess_to_date'] != '')) {
				$condition	.= " AND date(DateCreated) >= '".date('Y-m-d',strtotime($_SESSION['beacon_sess_from_date']))."' AND date(DateCreated) <= '".date('Y-m-d',strtotime($_SESSION['beacon_sess_to_date']))."'";
			}
			else if(isset($_SESSION['beacon_sess_from_date']) && $_SESSION['beacon_sess_from_date'] != ''){
				$condition	.= " AND date(DateCreated) >= '".date('Y-m-d',strtotime($_SESSION['beacon_sess_from_date']))."'";
			}
			else if(isset($_SESSION['beacon_sess_to_date']) && $_SESSION['beacon_sess_to_date']){
				$condition	.= " AND date(DateCreated) <= '".date('Y-m-d',strtotime($_SESSION['beacon_sess_to_date']))."'";
			}
			$sql		=	"SELECT ".$field." FROM {$this->beaconTable} WHERE ".$condition;
			$result		=	$this->sqlQueryArray($sql);
			if(count($result) == 0) return false;
			else return $result;
		}
		function selectHardwareDetials($fields,$condition) {
			//$sql	=	"SELECT ".$fields." FROM  {$this->deviceTable} as d LEFT JOIN {$this->beaconTable} as b  ON (b.fkDevicesId=d.id)  WHERE 1  ".$condition." GROUP BY DeviceName";
			$sql	=	"SELECT ".$fields." FROM  {$this->deviceTable} as d LEFT JOIN {$this->beaconTable} as b  ON (b.fkDevicesId=d.id)  WHERE 1  ".$condition." GROUP BY d.id";
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function selectMajMinDetials($fields,$condition) {
			$sql	=	"SELECT ".$fields." FROM  {$this->beaconTable} as b WHERE 1  ".$condition." GROUP BY Major ";
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function getHardwareMajorDetails($fields,$condition) {
			$sql	 =	"select ".$fields." from {$this->beaconTable} as b 
						 LEFT JOIN {$this->deviceTable} as d ON (b.fkDevicesId=d.id) 
						 where ".$condition;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function insertTrafficLocations($traffic_location) {
			$sql	=	"INSERT INTO {$this->trafficLocationTable} SET 	fkBeaconsId 	= '".$traffic_location['fkBeaconsId']."',
																		StreetNameOne	= '".$traffic_location['StreetNameOne']."',
																		StreetNameTwo	= '".$traffic_location['StreetNameTwo']."',
																		DeviceId1		= '".$traffic_location['DeviceId1']."',
																		DeviceId2		= '".$traffic_location['DeviceId2']."',
																		DeviceId3		= '".$traffic_location['DeviceId3']."',
																		DeviceId4		= '".$traffic_location['DeviceId4']."',
																		DeviceId5		= '".$traffic_location['DeviceId5']."',
																		DeviceId6		= '".$traffic_location['DeviceId6']."',
																		DeviceId7		= '".$traffic_location['DeviceId7']."',
																		DeviceId8		= '".$traffic_location['DeviceId8']."',
																		Detail1			= '".$traffic_location['TrafficDetail1']."',
																		Detail2			= '".$traffic_location['TrafficDetail2']."',
																		Detail3			= '".$traffic_location['TrafficDetail3']."',
																		Detail4			= '".$traffic_location['TrafficDetail4']."',
																		DateCreated 	= '".date('Y-m-d H:i:s')."',
																		DateModified 	= '".date('Y-m-d H:i:s')."'";
																		
			$this->result = $this->insertInto($sql);
			
			$insertId = $this->sqlInsertId();
			return $insertId;
		}
		function selectTrafficLocations($field,$condition) {
			$sql	=	"SELECT ".$field." FROM  {$this->trafficLocationTable} WHERE ".$condition;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function updateTrafficLocations($update_string,$condition) {
			$sql	 =	"update {$this->trafficLocationTable}  set ".$update_string." where ".$condition;
			$this->updateInto($sql);
		}
		
		function selectMajorsList($fields,$condition) {
			$limit_clause = '';
			$sorting_clause = 'm.id desc';
			
			if(isset($_SESSION['curpage']))
				$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
			if(isset($_SESSION['beacon_sess_major']) && $_SESSION['beacon_sess_major'] != '')
				$condition .= " AND m.Major = '".$_SESSION['beacon_sess_major']."'";
			if(isset($_SESSION['beacon_sess_hardware']) && $_SESSION['beacon_sess_hardware'] != '')
				$condition .= " AND d.DeviceId LIKE '%".$_SESSION['beacon_sess_hardware']."%'";
			
			
			$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->majorTable} as m 
						LEFT JOIN {$this->deviceTable} as d on (m.fkDevicesId = d.id )  
						WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;;
			// echo "=======1111111======".$sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function selectMajorCountDetails($fields,$condition) {
			$sql	=	"SELECT ".$fields." FROM {$this->majorTable} as m 
						LEFT JOIN {$this->deviceTable} as d on (m.fkDevicesId = d.id )  
						LEFT JOIN {$this->beaconTable} as b on (m.fkDevicesId = b.fkDevicesId AND m.Major = b.Major)
						WHERE ".$condition;
			// echo "=============".$sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		function selectMapBeaconDetails($field,$condition){
			if(isset($_SESSION['beacon_sess_map_beacon_name']) && $_SESSION['beacon_sess_map_beacon_name'] != '') 
				$condition	.=	" AND id = '".$_SESSION['beacon_sess_map_beacon_name']."'";
			if(isset($_SESSION['beacon_sess_map_beacon_major']) && $_SESSION['beacon_sess_map_beacon_major'] != '')
				$condition	.=	" AND Major = '".$_SESSION['beacon_sess_map_beacon_major']."'";
			if(isset($_SESSION['beacon_sess_map_beacon_minor']) && $_SESSION['beacon_sess_map_beacon_minor'] != '')
				$condition	.=	" AND Minor = '".$_SESSION['beacon_sess_map_beacon_minor']."'";
			$sql	 =	"select ".$field." from {$this->beaconTable} where ".$condition;
			
			
			// echo "<br/>============>".$sql;die();
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
		/* Get last Minor details worked by Rajkumar*/
		function getLastMinorDetials($fields,$condition) {
			$sql	=	"SELECT ".$fields." FROM  {$this->beaconTable} as b WHERE 1  ".$condition;
			//echo $sql;
			$result = 	$this->sqlQueryArray($sql);
			if($result) return $result;
			else false;
		}
	/* Get last Minor details worked by Rajkumar*/
		
		
	}