<?php 
require_once('includes/CommonIncludes.php');
require_once('controllers/BeaconController.php');
require_once('controllers/AdminController.php');
require_once('controllers/UserController.php');

$userObj		=  new UserController();
$beaconObj		=  new BeaconController();
$adminLoginObj  =  new AdminController();
admin_login_check();
$beaconsList 	=  $param = $optionCondition = '';

$fields		= " * ";
$condition	= " and Status = 1 ";

$organizationResult		= $userObj->selectOrganizations($fields,$condition);
if(isset($organizationResult) && !empty($organizationResult)) {
	foreach($organizationResult as $orgKey => $orgValue) {
		$organizationArray[$orgValue->id]	=	$orgValue->OrganizationName;
	}
}
// echo "<pre>======";print_r($organizationArray);echo "=====</pre>";

$searchClass	=	"display:block";
$formSytle		=	"display:none";

if(isset($_GET['cs']) && $_GET['cs'] == 1) {
	destroyPagingControlsVariables();
	unset($_SESSION['beacon_sess_beacons_device_name']);
	unset($_SESSION['beacon_sess_devices_device_id']);
	unset($_SESSION['beacon_sess_devices_user_name']);
	unset($_SESSION['beacon_sess_beacon_status']);
	unset($_SESSION['beacon_sess_devices_location_limit']);
	unset($_SESSION['beacon_sess_beacon_type']);
	unset($_SESSION['beacon_sess_organization_name']);
	unset($_SESSION['beacon_sess_beacon_major']);
	unset($_SESSION['beacon_sess_beacon_minor']);
	unset($_SESSION['beacon_sess_beacon_name']);
	unset($_SESSION['beacon_sess_orgId']);
}

//echo "=============".$_SESSION['beacon_sess_type_of_organization'];

if(isset($_POST['Search']) && $_POST['Search'] != '') {
	// echo "<pre>=================";print_r($_POST);echo "=====================</pre>";
	destroyPagingControlsVariables();
	$_POST          = unEscapeSpecialCharacters($_POST);
    $_POST          = escapeSpecialCharacters($_POST);
	if(isset($_POST['DeviceName']))
		$_SESSION['beacon_sess_beacons_device_name'] 	    = trim($_POST['DeviceName']);
	/* if(isset($_POST['DeviceId']))
		$_SESSION['beacon_sess_devices_device_id'] 	    	= trim($_POST['DeviceId']); */
	if(isset($_POST['BeaconName']))
		$_SESSION['beacon_sess_beacon_name']				= $_POST['BeaconName'];
	if(isset($_POST['OrganizationName']))
		$_SESSION['beacon_sess_organization_name']			= $_POST['OrganizationName'];
	if(isset($_POST['Status']))
		$_SESSION['beacon_sess_beacon_status']				= $_POST['Status'];
	if(isset($_POST['LocationLimit']))
		$_SESSION['beacon_sess_devices_location_limit']		= trim($_POST['LocationLimit']);
	if(isset($_POST['BeaconType']))
		$_SESSION['beacon_sess_beacon_type']				= trim($_POST['BeaconType']);
	if(isset($_POST['Major']))
		$_SESSION['beacon_sess_beacon_major']				= trim($_POST['Major']);	
	if(isset($_POST['Minor']))
		$_SESSION['beacon_sess_beacon_minor']				= trim($_POST['Minor']);
	// $_SESSION['beacon_search_performed']					=	1;
}

// echo "<br>==========>".$_SESSION['beacon_search_performed'];

/* if(isset($_SESSION['beacon_search_performed']) && $_SESSION['beacon_search_performed'] == 1) {
	$searchClass	=	"display:none";
	$formSytle		=	"display:block";
} */


if(isset($_SESSION['beacon_sess_beacon_type']) && $_SESSION['beacon_sess_beacon_type'] != '' || isset($_SESSION['beacon_sess_devices_location_limit']) && $_SESSION['beacon_sess_devices_location_limit'] != '' || isset($_SESSION['beacon_sess_beacon_status']) && $_SESSION['beacon_sess_beacon_status'] != '' || isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' || isset($_SESSION['beacon_sess_devices_device_id']) && $_SESSION['beacon_sess_devices_device_id'] != '' || isset($_SESSION['beacon_sess_beacons_device_name']) && $_SESSION['beacon_sess_beacons_device_name'] != '' )
{	
	$searchClass	=	"display:none";
	$formSytle		=	"display:block";
	
}


$beaconCondition	=	1;


if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 2)//user 
	$fkUsersId		=	$_SESSION['beacon_sess_user_id'];
else if(isset($_SESSION['beacon_sess_user_type']) && $_SESSION['beacon_sess_user_type'] == 3) { //sub admin
	$fkUsersId			=	0;
	$fkAdminsId			=	$_SESSION['beacon_sub_admin_user_id'];
	$fkOrganizationId	=	$_SESSION['beacon_sub_admin_organizations'];
}
else {
	$fkUsersId		=	0;
	$fkAdminsId		=	$_SESSION['beacon_admin_user_id'];
}
	
if(isset($_SESSION['beacon_sess_type_of_user']) && $_SESSION['beacon_sess_type_of_user'] == 1)
	$visuallyImpaired	=	1;
else
	$visuallyImpaired	=	0;
	
if(isset($_SESSION['beacon_sess_type_of_organization']) && $_SESSION['beacon_sess_type_of_organization'] != 0)
	$organizationId		=	$_SESSION['beacon_sess_type_of_organization'];

if(isset($_GET['beaconId']) && $_GET['beaconId'] != ''){
	$beaconsList = " and b.fkDevicesId = ".$_GET['beaconId'];
	$param		 = '?beaconId='.$_GET['beaconId'];
}

setPagingControlValues('d.id',ADMIN_PER_PAGE_LIMIT);
$fields    	 = " b.*,d.DeviceName,d.DeviceId,u.FirstName,u.LastName ";
$condition 	 = " and b.Status in (0,1) ";
if(isset($fkAdminsId) && isset($fkOrganizationId)) {
	$condition			.=	" AND b.fkOrganizationId in (".$fkOrganizationId.")";
	$optionCondition 	= 	"and b.fkOrganizationId =".$fkOrganizationId." OR b.fkAdminsId =".$fkAdminsId;
	$beaconCondition	=	" fkOrganizationId =".$fkOrganizationId." OR fkAdminsId =".$fkAdminsId;
}

/* if(isset($fkUsersId)) { // FOR OLD USER CONDITION TO SHOW ALL BEACONS IN USER ORGANIZATION
	if($fkUsersId != 0 && isset($organizationId)){ // if user is in organization
		$condition	.= " and b.fkOrganizationId =".$_SESSION['beacon_sess_type_of_organization'];
		$optionCondition = "and b.fkOrganizationId = ".$_SESSION['beacon_sess_type_of_organization'];
		$beaconCondition = " fkOrganizationId = ".$_SESSION['beacon_sess_type_of_organization'];
	}else if($fkUsersId != 0){ // if user not in organization
		$condition	.= " and b.fkUsersId =".$fkUsersId;
		
	}
} */

if(isset($fkUsersId) && $fkUsersId != 0) {
	$cond		    = " id = ".$fkUsersId;
	$field			= " UserBeacons ";
	$userDetails	= $userObj->selectUserDetails($field,$cond);
	$beacons		= $userDetails[0]->UserBeacons;
	if(isset($beacons) && $beacons != '') {
		$condition	.=	" and b.id in (".$beacons.")";
		$beaconCondition .= " and id in (".$beacons.")";
	}
}


if($beaconsList != '')
	$condition  = " and b.Status in (0,1) ".$beaconsList;
	//$condition  .= $beaconsList;
	
if(isset($_GET['orgId']) && $_GET['orgId'] != '') {
	$_SESSION['beacon_sess_orgId'] = $_GET['orgId'];
}
if(isset($_SESSION['beacon_sess_orgId'])&& $_SESSION['beacon_sess_orgId']!=''){
	$condition	=	" and b.Status in (0,1) and b.fkOrganizationId = '".$_SESSION['beacon_sess_orgId']."'";

}
	
$beaconListResult  	= $beaconObj->getBeaconList($fields,$condition);
$tot_rec 			= $beaconObj->getTotalRecordCount();
if($tot_rec!=0 && !is_array($beaconListResult)) {
	$_SESSION['curpage'] = 1;
	$beaconListResult 	 = $beaconObj->getBeaconList($fields,$condition);
}


$optionField		=	'd.DeviceName, d.DeviceId';
$optionCondition 	.=	'  and d.Status in (0,1)';
$optionResult  		= $beaconObj->selectHardwareDetials($optionField,$optionCondition);

$hardwareName 	=	$hardwareId		=	array();
if(isset($optionResult) && !empty($optionResult)) {
	foreach ($optionResult as $key=>$value){
		$hardwareName[$key]		=	$value->DeviceName;
		$hardwareId[$key]		=	$value->DeviceId;	
	}
}

$beaconNameArray	=	array();
$beaconFields		=	'Description';
$beaconCondition	.=	' and Status in (0,1) ORDER BY Description asc';	
$beaconDetails		=	$beaconObj->selectBeaconDetails($beaconFields,$beaconCondition);
if(isset($beaconDetails) && !empty($beaconDetails)) {
	foreach($beaconDetails as $beaconKey => $beaconVal) {
		$beaconNameArray[$beaconVal->Description]	=	$beaconVal->Description;
	}
}


$optionFields		=	'b.Major, b.Minor';
$optionConditions 	=	'and b.Status in (0,1)';
$majMinResult  		= $beaconObj->selectMajMinDetials($optionFields,$optionConditions);
if(isset($majMinResult) && !empty($majMinResult)) {
	foreach ($majMinResult as $key=>$value){
		$major[$key]		=	$value->Major;
		$minor[$key]		=	$value->Minor;	
	}
}

if((isset($fkUsersId) && $fkUsersId != 0) && (isset($beacons) && $beacons == '')) {
	// echo "<br>======HERE====>";die();
	$beaconListResult	=	array();
	$beaconNameArray	=	array();
	$tot_rec			=	0;
}



if(isset($_GET['deleteId']) && $_GET['deleteId'] != '') {
	$condition			=	" id	= ".$_GET['deleteId'];
	$update_string 		= 	" Status = 2";
	$beaconListResult	= 	$beaconObj->updateBeaconDetails($update_string,$condition);
	header("location:Beacons?msg=3");
}
if(isset($_GET['msg']) && $_GET['msg'] == 1 ) {
	$msg		= "Beacon added successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg		= "Beacon updated successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg		= "Beacon deleted successfully";
	$class		= "alert-success";
	$class_icon = "fa-check";
	$display 	= "block";
}
/* if(isset($_GET['msg']) && $_GET['msg'] == 1 ) {
	$msg	=	"Beacon added successfully";
	$class	=	"alert-success";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 2 ) {
	$msg	=	"Beacon updated successfully";
	$class	=	"alert-success";
}
else if(isset($_GET['msg']) && $_GET['msg'] == 3 ) {
	$msg	=	"Beacon deleted successfully";
	$class	=	"alert-success";
} */

//echo '<pre>';print_r($_SESSION);echo '<pre>';
commonHead(); ?>
<body class="skin-blue">
	<?php top_header(); ?>	
<!-- Main content -->
	<section class="content">
		<div class="row">
		<!-- left column -->
			<div class="col-md-12"><!--  col-lg-6 -->
				<div class="box box-primary add-header">
				<h2>Beacon List</h2>
					<?php if(isset($_GET['orgId']) && $_GET['orgId'] != '') { ?>
						<div class="col-xs-12 add-btns">
							<a href="Organizations?cs=1" name="Back" id="Back" class="add-device" alt="Back" title="Back"> Back </a>
						</div>
					<?php } else if(isset($fkUsersId) && $fkUsersId == 0) { ?>
						<div class="col-xs-12 add-btns">
							<a href="ManageLocations?cs=1" name="addLocation" id="addLocation" class="add-device" alt="Add Beacon" title="Add Beacon"><i class="fa fa-plus"></i> Add  Beacon</a>
							<a href="ManageMajorLatlng?cs=1" name="addLocation" id="addLocation" class="add-device" alt="Add / Edit major" title="Add / Edit major"><i class="fa fa-plus"></i> Add / Edit major</a>
						</div>
					<?php } ?>
					<div class="general-setting sett-menu">	
						<h2 class="tabsection" id="searchBox" alt="Search" title="Search">Search <i class="fa fa-angle-down" id="searchBox_icon"></i></h2>
						<div id="searchBox_block" style="<?php echo $formSytle; ?>">
							<form name="searchCategory" style="" id="searchCategory" action="Beacons<?php echo $param; ?>" method="post">
								<div class="box box-primary box-padding report separator">
									<div class="box-body no-padding" >
										<div class="col-sm-4 col-xs-12 form-group">
											<label>Hardware Name</label>
											<select name="DeviceName" id="DeviceName" class="form-control">
												<option value=''>--select--</option>
												<?php if(!empty($hardwareName)) { foreach($hardwareName as $key=>$value) { ?>
												<option value="<?php echo $value; ?>" <?php if(isset($_SESSION['beacon_sess_beacons_device_name']) && $_SESSION['beacon_sess_beacons_device_name'] != '' && ($_SESSION['beacon_sess_beacons_device_name'] == $value)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label>Beacon Name</label>
											<select name="BeaconName" id="BeaconName" class="form-control">
												<option value=''>--select--</option>
												<?php if(!empty($beaconNameArray)) { foreach($beaconNameArray as $key=>$value) {?>
												<option value="<?php echo $value; ?>" <?php if(isset($_SESSION['beacon_sess_beacon_name']) && $_SESSION['beacon_sess_beacon_name'] != '' && ($_SESSION['beacon_sess_beacon_name'] == $value)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } } ?>
											</select>
										</div>
										<div class="col-sm-2 col-xs-12 form-group">
											<label>Location Limit</label>
											<input type="text" placeholder="Location Limit" class="form-control" name="LocationLimit" id="LocationLimit"  value="<?php  if(isset($_SESSION['beacon_sess_devices_location_limit']) && $_SESSION['beacon_sess_devices_location_limit'] != '') echo stripslashes(htmlentities($_SESSION['beacon_sess_devices_location_limit'])); ?>" onkeypress="return isNumberKey_numbers(event);" >
										</div>
										<div class="col-sm-2 col-xs-12 form-group ">
											<label for="Status">Status</label>
											<select name="Status" id="Status" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($beacons_status_array as $key=>$value) {
												if($key != 2){ ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_beacon_status']) && $_SESSION['beacon_sess_beacon_status'] != '' && ($_SESSION['beacon_sess_beacon_status'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } } ?>
											</select>
										</div>
										<div class="col-sm-2 col-xs-12 form-group ">
											<label for="Major">Major</label>
											<select name="Major" id="Major" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($major as $key=>$value) { ?>
												<option value="<?php echo $value; ?>" <?php if(isset($_SESSION['beacon_sess_beacon_major']) && $_SESSION['beacon_sess_beacon_major'] != '' && ($_SESSION['beacon_sess_beacon_major'] == $value)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php  } ?>
											</select>
										</div>
										<div class="col-sm-2 col-xs-12 form-group ">
											<label for="Minor">Minor</label>
											<select name="Minor" id="Major" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($minor as $key=>$value) {?>
												<option value="<?php echo $value; ?>" <?php if(isset($_SESSION['beacon_sess_beacon_minor']) && $_SESSION['beacon_sess_beacon_minor'] != '' && ($_SESSION['beacon_sess_beacon_minor'] == $value)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php  } ?>
											</select>
										</div>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="BeaconType">Beacon Type</label>
											<select name="BeaconType" id="BeaconType" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($beacon_type_array as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_beacon_type']) && $_SESSION['beacon_sess_beacon_type'] != '' && ($_SESSION['beacon_sess_beacon_type'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<?php if((isset($fkUsersId) && $fkUsersId == 0) && ! isset($fkOrganizationId)) { ?>
										<div class="col-sm-4 col-xs-12 form-group">
											<label for="OrganizationName">Organization Name</label>
											<select name="OrganizationName" id="OrganizationName" class="form-control">
												<option value=''>--select--</option>
												<?php foreach($organizationArray as $key=>$value) { ?>
												<option value="<?php echo $key; ?>" <?php if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '' && ($_SESSION['beacon_sess_organization_name'] == $key)) echo "selected"; ?>><?php echo $value; ?></option>
												<?php } ?>
											</select>
										</div>
										<?php } ?>
										
										<div class="col-sm-12 clear" align="center">
											<input type="submit" class="btn btn-success" name="Search" id="Search" value="Search">
										</div>
									</div>
								</div>
							</form>
						</div>
					</div>	
					
					<div class="row paging paging-margin report col-xs-12">
						<div class="col-xs-12 col-sm-2 no-padding">
							<?php if(isset($beaconListResult) && is_array($beaconListResult) && count($beaconListResult) > 0){ ?>
							<div class="dataTables_info"><span class="">No. of Beacon(s)&nbsp:&nbsp;<strong><?php echo $tot_rec; ?></strong> </span></div>
							<?php } ?>
						</div>
						<div class="col-xs-12 col-sm-10">
							<div class="dataTables_paginate paging_bootstrap row">
							<?php if(is_array($beaconListResult) && count($beaconListResult) > 0 ) {
									pagingControlLatest($tot_rec,'Beacons'.$param); ?>
							<?php }?>
							</div>
						</div>
					</div>	
					<?php if(isset($msg) && $msg != '') { ?>
					<div class="row col-xs-12">
						   <div align="center" class="alert <?php  echo $class;  ?> alert-dismissable col-xs-11  col-sm-4"><i class="fa fa-check"></i>  <?php echo $msg; ?></div>
					</div>	
					<?php } ?>
					<div class="table-responsive">
						<table width="100%" class="table" cellpadding="0" cellspacing="0">
							<tr>
								<th align="center" width="3%" style="text-align:center;">#</th>
								<?php if(!isset($_GET['orgId'])) { if(!isset($_GET['orgId']) && (isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) { ?>
								<th width="10%" align="left" style="text-align:left;">Organization Name</th>
								<?php } } ?>
								<th width="10%" align="left" style="text-align:center">Beacon Name</th>
								<?php if($visuallyImpaired != 1) { ?>
								<th width="11%" align="left" style="text-align:left;">Hardware Name</th>
								<th width="21%" align="left" style="text-align:left;">Hardware</th>
								<th width="5%" align="left" style="text-align:left;">Major</th>
								<th width="5%" align="left" style="text-align:left;">Minor</th>
								<!-- <th width="5%" align="left" style="text-align:left;">Bluetooth<br/>Sensor</th> -->
								<?php } ?>
								<th width="5%" align="left" style="text-align:left;">Location<br/>Limit</th>
								<!-- <th width="7%" align="left" style="text-align:left;">Image</th> -->
								<th width="5%" align="left" style="text-align:left;">Battery %</th>
								<th width="7%" align="left" style="text-align:left;">Last Updated <br />Date</th>
								<!-- <th width="5%" align="left" style="text-align:left;">Status</th> -->
								<th width="17%" align="left" style="text-align:left;">Action</th>
							</tr>
							<?php if(isset($beaconListResult) && is_array($beaconListResult) && count($beaconListResult) > 0 ) {
										foreach($beaconListResult as $key => $value) { 
											
											
											$beacon_image_path = $beacon_original_image_path = BEACON_NO_IMAGE_PATH;
											$image = $value->Photo;
											if(isset($image) && $image != ''){
												$beacon_image = $image;
												if(SERVER){
													if(image_exists(1,$beacon_image))
														$beacon_original_image_path = BEACON_IMAGE_PATH.$beacon_image;
													if(image_exists(2,$beacon_image))
														$beacon_image_path 			= BEACON_THUMB_IMAGE_PATH.$beacon_image;
												}
												else{
													if(file_exists(BEACON_IMAGE_PATH_REL.$beacon_image))
														$beacon_original_image_path = BEACON_IMAGE_PATH.$beacon_image;
													if(file_exists(BEACON_THUMB_IMAGE_PATH_REL.$beacon_image))
														$beacon_image_path = BEACON_THUMB_IMAGE_PATH.$beacon_image;
												}
												
											}
							?>
							<tr id="test_id_<?php echo $value->id;?>">
								<td align="center" style="text-align:center;" nowrap><?php echo (($_SESSION['curpage'] - 1) * ($_SESSION['perpage']))+$key+1;?></td>
								<?php if(!isset($_GET['orgId'])) { if((isset($fkUsersId) && $fkUsersId == 0) || isset($fkAdminsId)) { ?>
								<td><?php if(isset($organizationArray[$value->fkOrganizationId])) echo ucfirst($organizationArray[$value->fkOrganizationId]); else echo '-'; ?></td>
								<?php } } ?>
								<td class="description-value"><?php if(isset($value->Description) && $value->Description != '') echo ucfirst($value->Description); else echo '-'; ?></td>
								<?php if($visuallyImpaired != 1) { ?>
								<td class="description-value"><?php if(isset($value->DeviceName) && $value->DeviceName != '') echo ucfirst($value->DeviceName); else echo '-';?></td>
								<td style="word-break:break-all"><?php if(isset($value->DeviceId) && $value->DeviceId != '') echo $value->DeviceId; else echo '-';?></td>
								<td><?php if(isset($value->Major) && $value->Major != '' && $value->Major != 0) echo $value->Major; else echo '-';?></td>
								<td><?php if(isset($value->Minor) && $value->Minor != '' && $value->Minor != 0) echo $value->Minor; else echo '-';?></td>
								<!-- <td><?php if(isset($value->EnableBluetooth) && $value->EnableBluetooth == 1) echo "On"; else echo 'Off';?></td> -->
								<?php } ?>
								<td><?php if(isset($value->LocationLimit) && $value->LocationLimit != '0') echo $value->LocationLimit; else echo '-';?></td>
								<!-- <td><a href="<?php if(isset($beacon_original_image_path) && $beacon_original_image_path != BEACON_NO_IMAGE_PATH ) echo $beacon_original_image_path; else echo "javascript:void(0)"; ?>" <?php if($beacon_original_image_path !=BEACON_NO_IMAGE_PATH ) { ?> class="beacon-image-pop-up" <?php } ?> > <img width="50" src="<?php echo $beacon_image_path; ?>" /></a></td> -->
								<td <?php if(isset($value->BatteryPower) && $value->BatteryPower != 0 && $value->BatteryPower <= 35) echo "style='color:red;'" ?> ><?php if(isset($value->BatteryPower) && $value->BatteryPower != 0) echo $value->BatteryPower; else echo '-'; ?></td>
								<td><?php if(isset($value->BatteryLastUpdated) && $value->BatteryLastUpdated != '0000-00-00') { echo date('m/d/Y',strtotime($value->BatteryLastUpdated)); } else echo '-';?></td>
								<!-- <td><?php if(isset($value->Status) && $value->Status != '') echo $beacons_status_array[$value->Status]; else echo '-';?></td> -->
								<!-- <td><?php if(isset($value->DateCreated) && $value->DateCreated != '0000-00-00 00:00:00'){ echo date('m/d/Y',strtotime($value->DateCreated)); }else echo '-';?></td> -->
								<td class="action-icons" align="center">
									<?php if($visuallyImpaired != 1) { ?>
									<a href='LocationDetail?viewId=<?php echo $value->id; ?>' name='view' title='View'><i class="fa fa-eye"></i></a>
									<?php } ?>
									<a href='ManageLocations?editId=<?php echo $value->id; ?>' name='edit' title='Edit'><i class="fa fa-pencil"></i></a>
									<?php if( (isset($fkUsersId) && ($fkUsersId == 0)) || ($fkUsersId == $value->fkUsersId) ) { ?>
									<a href='Beacons?deleteId=<?php echo $value->id; ?>' onclick="javascript:return confirm('Are you sure you want to delete this Beacon?')"  name='delete' title='Delete'><i class="fa fa-trash-o"></i></a>
									<?php } ?>
								</td>
							</tr>
							<?php } } else { ?>
							<tr>
								<td colspan="12" align="center">
									<div class="alert col-sm-4 col-xs-12 " style="color:red;">No Beacons found</div> 
								</td>
							</tr>
							<?php } ?>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php commonfooter(); ?>
<script type="text/javascript">
$('.beacon-image-pop-up').fancybox({title:true});


</script>
</html>