<?php 
require_once('includes/CommonIncludes.php');
admin_login_check();
commonHead();
require_once('controllers/UserController.php');
$userObj	   		=   new UserController();
require_once('controllers/AdminController.php');
$adminLoginObj   	=   new AdminController();

$field_focus		=	'UserType';


if(isset($_GET['editId']) && $_GET['editId'] != '' ){
	$condition       		= 	" id = ".$_GET['editId']." and Status = 1";
	$fields					=	'*';
	$userTypeResult		  	= 	$userObj->selectUserTypeDetails($fields,$condition);
	if(isset($userTypeResult) && is_array($userTypeResult) && count($userTypeResult) > 0){
		$UserType 			= 	$userTypeResult[0]->Type;
		$UserTypeFr 		= 	$userTypeResult[0]->TypeFr;
		
	}
}

if(isset($_POST['submit']) && $_POST['submit'] != ''){
	$_POST          =   unEscapeSpecialCharacters($_POST);
   	$_POST          =   escapeSpecialCharacters($_POST);
	
	if(isset($_POST['UserType']))
		$UserType	=	$_POST['UserType'];
	if(isset($_POST['UserType']))
		$UserTypeFr	=	$_POST['UserTypeFr'];
	
	if($_POST['submit'] == 'Save')
		$condition	=	" Type = '".$_POST['UserType']."' AND 
						
						 id != ".$_POST['user_type_id']." 
						 AND Status = 1";
	else
		$condition	=	" Type = '".$_POST['UserType']."' AND 
						 Status = 1";
	
	$fields			= " * ";
	$alreadyExist	=	$userObj->selectUserTypeDetails($fields,$condition);
	
	if(isset($alreadyExist) && is_array($alreadyExist) && count($alreadyExist) > 0) {
		$error_msg  	= "User Type already exists";
		$field_focus	= 'UserType';
		$display 		= "block";
		$class   		= "alert-danger";
		$class_icon     = "fa-warning";
	}
	else {
		if($_POST['submit'] == 'Add') {
			$_POST['Status']	=	1;
			$insert_id			=	$userObj->insertUserType($_POST);
			$msg				=	1;
		}
		
		if($_POST['submit'] == 'Save') {
			if(isset($_POST['user_type_id']) && $_POST['user_type_id'] != '') {
				$fields		=	"Type			=	'".$UserType."',
								TypeFr = '".$UserTypeFr."', 
								DateModified	= 	'".date('Y-m-d H:i:s')."'";
				$condition	=	" id	= ".$_POST['user_type_id'];
				$userObj->updateUserType($fields,$condition);
				$msg		=	2;
			}
		}
		header("location:UserType?msg=".$msg);
	}
}

?>
<body class="skin-blue" onload="return fieldfocus('<?php echo $field_focus; ?>');">
	<?php top_header(); ?>
	<section class="content">
		<div class="row">
			<form name="add_user_type_form" id="add_user_type_form" action="" method="post">
			<div class="col-md-12"> 
				<div class="box box-primary"> 
					<h2><?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo "Edit "; else echo 'Add ';?>User Type</h2>
					<div class="box-padding">
						<div class="col-md-12 no-padding">
						<?php if(isset($error_msg) && $error_msg != '')  { ?> <div class="alert <?php echo $class;  ?> alert-dismissable col-lg-4  col-sm-5  col-xs-11 text-center"><i class="fa <?php echo $class_icon ;  ?>"></i>  <?php echo $error_msg;  ?></div> <?php } ?>
						<input type="Hidden" name="user_type_id" id="user_type_id" value="<?php if(isset($_GET['editId']) && $_GET['editId'] != '' ) echo $_GET['editId'];?>">
						<input type="Hidden" name="fkUsersId" id="fkUsersId" value="<?php if(isset($fkUsersId) && $fkUsersId != '' ) echo $fkUsersId;?>">
						</div>
						<div class="form-group col-sm-6">
							<label>User Type</label>
							<input type="text" class="form-control" id="UserType" name="UserType" maxlength="50" value="<?php if(isset($UserType) && $UserType != '') echo ucfirst($UserType);  ?>" >
						</div>
						<div class="form-group col-sm-6">
							<label>User Type Fr</label>
							<input type="text" class="form-control" id="UserTypeFr" name="UserTypeFr" maxlength="50" value="<?php if(isset($UserTypeFr) && $UserTypeFr != '') echo ucfirst($UserTypeFr);  ?>" >
						</div>
						<div class="box-footer  col-xs-12" align="center">
							<?php if(isset($_GET['editId']) && $_GET['editId'] != ''){ ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Save" title="Save" alt="Save">
							<?php } else { ?>
								<input type="submit" class="btn btn-success mR-button" name="submit" id="submit" value="Add" title="Add" alt="Add">
							<?php } ?>
							<?php $href_page = "UserType";?>		
							<a href="<?php if(isset($href_page) && $href_page != '' ) echo $href_page; else echo 'UserType';?>" class="btn btn-default" name="Back" id="Back" title="Back" alt="Back" >Back </a>	
						</div>
					</div>
				</div><!-- /.box -->
			</div><!-- /.col -->
			</form>	
		</div><!-- /.row -->
	</section><!-- /.content -->	
<?php commonFooter(); ?>

</html>