<?php
class UserModel extends Model
{
	function getTotalRecordCount()
	{
		$result = $this->sqlCalcFoundRows();
		return $result;
	}
	
	function checkUserLogin($where)
	{
		$sql	=	"SELECT * FROM {$this->userTable} WHERE ".$where;
		$result = 	$this->sqlQueryArray($sql);
		if (count($result) == 0) return false;
		return $result;
	}
	function updateUserDetails($fields,$condition)
	{
		$sql = "UPDATE {$this->userTable} SET ".$fields." where ".$condition;
		$this->updateInto($sql);
	}
	function insertUserDetails($fields){
		$sql	=	"insert into  {$this->userTable}  set ".$fields;
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	
	function selectUserDetails($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->userTable} WHERE ".$condition;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function selectCustomerDetails($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_customer_user_name']) && $_SESSION['beacon_sess_customer_user_name'] != '')
			$condition .= " AND (FirstName LIKE '%".$_SESSION['beacon_sess_customer_user_name']."%' || LastName LIKE '%".$_SESSION['beacon_sess_customer_user_name']."%' || CONCAT(FirstName,  ' ', LastName ) LIKE '%".$_SESSION['beacon_sess_customer_user_name']."%' )";
		if(isset($_SESSION['beacon_sess_customer_email']) && $_SESSION['beacon_sess_customer_email'] != '')
			$condition	.= " AND Email LIKE '%".$_SESSION['beacon_sess_customer_email']."%'";
		if(isset($_SESSION['beacon_sess_customer_status']) && $_SESSION['beacon_sess_customer_status'] != '')
			$condition	.= " AND Status = ".$_SESSION['beacon_sess_customer_status'];
		
		
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->customerTable} WHERE 1".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	function getCustomerDetails($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->customerTable} WHERE ".$condition;
		//echo '===============>'.$sql;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	function updateCustomerDetails($update_string,$condition)
	{
		$sql	=	"UPDATE {$this->customerTable} SET ".$update_string." WHERE ".$condition;
		$this->updateInto($sql);
	}
	function getUserList($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'u.id desc';
		
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '')
			$condition .= " AND u.fkOrganizationId = '".$_SESSION['beacon_sess_organization_name']."'";
		if(isset($_SESSION['beacon_sess_user_user_name']) && $_SESSION['beacon_sess_user_user_name'] != '')
			$condition .= " AND u.FirstName LIKE '%".$_SESSION['beacon_sess_user_user_name']."%'";
		if(isset($_SESSION['beacon_sess_user_email']) && $_SESSION['beacon_sess_user_email'] != '')
			$condition	.= " AND u.Email LIKE '%".$_SESSION['beacon_sess_user_email']."%'";
		if(isset($_SESSION['beacon_sess_user_status']) && $_SESSION['beacon_sess_user_status'] != '')
			$condition	.= " AND u.Status = ".$_SESSION['beacon_sess_user_status'];
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->userTable} as u 
						LEFT JOIN {$this->deviceTable} as d on (u.id = d.fkUsersId AND d.Status in (0,1)) WHERE 1".$condition." 
						GROUP BY u.id ORDER BY ".$sorting_clause." ".$limit_clause;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function insertUserType($register_values)
	{
		$sql	=	"INSERT INTO {$this->userTypeTable} SET		Type			= '".$register_values['UserType']."',
																TypeFr			= '".$register_values['UserTypeFr']."',
																Status			= '".$register_values['Status']."',
																DateCreated 	= '".date('Y-m-d H:i:s')."',
																DateModified	= '".date('Y-m-d H:i:s')."'";
																
		/* echo "<br>===============".$sql;
		die(); */
																
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	
	function selectUserTypeDetails($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->userTypeTable} WHERE ".$condition;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function updateUserType($fields,$condition)
	{
		$sql	=	"UPDATE {$this->userTypeTable} SET ".$fields." WHERE ".$condition;
		$this->updateInto($sql);
	}
	
	function getUserTypeList($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_user_user_type']) && $_SESSION['beacon_sess_user_user_type'] != '')
			$condition	.=	" AND Type LIKE '%".$_SESSION['beacon_sess_user_user_type']."%'";
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->userTypeTable} WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".				$limit_clause;
		
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function insertCity($register_values)
	{
		$sql	=	"INSERT INTO {$this->cityTable} SET			CityName			= '".$register_values['CityName']."',
																CityNameFr			= '".$register_values['CityNameFr']."',
																Status				= '".$register_values['Status']."',
																DateCreated 		= '".date('Y-m-d H:i:s')."',
																DateModified		= '".date('Y-m-d H:i:s')."'";
																									
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	
	function selectCityDetails($fields,$condition) 
	{
		$sql	=	"SELECT ".$fields." FROM {$this->cityTable} WHERE ".$condition;
		
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function updateCityDetails($fields,$condition)
	{
		$sql	=	"UPDATE {$this->cityTable} SET ".$fields." WHERE ".$condition;
		$this->updateInto($sql);
	}
	
	function getCityList($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_city_name']) && $_SESSION['beacon_sess_city_name'] != '')
			$condition	.=	" AND CityName LIKE '%".$_SESSION['beacon_sess_city_name']."%'";
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->cityTable} WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".				$limit_clause;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function selectUserTypeList($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->userTypeTable} WHERE 1 ".$condition;
		
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function selectOrganizations($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->organizationTable } WHERE 1 ".$condition." ORDER BY OrganizationName asc";
		// echo "=============".$sql;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function insertOrganization($fields)
	{
		$sql	=	"INSERT INTO {$this->organizationTable} SET	".$fields;
		$this->result = $this->insertInto($sql);
		$insertId = $this->sqlInsertId();
		return $insertId;
	}
	
	function updateOrganization($fields,$condition)
	{
		$sql	=	"UPDATE {$this->organizationTable} SET ".$fields." WHERE ".$condition;
		//echo "=============".$sql;
		$this->updateInto($sql);
	}
	
	function getOrganizationList($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'id desc';
		
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_organization_name']) && $_SESSION['beacon_sess_organization_name'] != '')
			$condition	.=	" AND OrganizationName LIKE '%".$_SESSION['beacon_sess_organization_name']."%'";
		if(isset($_SESSION['beacon_sess_major']) && $_SESSION['beacon_sess_major'] != '')
			$condition	.= "   AND  (MajorFrom  <= ".$_SESSION['beacon_sess_major']." AND MajorTo  >= ".$_SESSION['beacon_sess_major'].")";
		
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->organizationTable} WHERE 1 ".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;

		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function getOrganization($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->organizationTable} WHERE ".$condition;
		//echo "===========>".$sql;die();
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	function getMajorLat($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->deviceTable} as d LEFT JOIN {$this->majorTable} as m ON (d.id = m.fkDevicesId) WHERE ".$condition;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	
	function getBeaconCountList($fields,$condition)
	{
		$sql	=	"SELECT ".$fields." FROM {$this->organizationTable} as o 
					LEFT JOIN {$this->beaconTable} as b ON (o.id = b.fkOrganizationId)
					WHERE ".$condition." 
					GROUP BY b.fkOrganizationId, b.BeaconType";
		//echo "=============".$sql;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
	function selectCustomerTracking($fields,$condition)
	{
		$limit_clause = '';
		$sorting_clause = 'ct.id desc';
		if(!empty($_SESSION['ordertype']))
			$sorting_clause = $_SESSION['orderby'] . ' ' . $_SESSION['ordertype'];
		if(isset($_SESSION['curpage']))
			$limit_clause = ' LIMIT '.(($_SESSION['curpage'] - 1) * ($_SESSION['perpage'])) . ', '. $_SESSION['perpage'];
		if(isset($_SESSION['beacon_sess_customer_user_type']) && $_SESSION['beacon_sess_customer_user_type'] != '')
			$condition .= " AND ct.fkUserTypeId = '".$_SESSION['beacon_sess_customer_user_type']."' ";
		if(isset($_SESSION['beacon_sess_customer_city']) && $_SESSION['beacon_sess_customer_city'] != '')
			$condition	.= " AND ct.fkCityId = '".$_SESSION['beacon_sess_customer_city']."'";
		if(isset($_SESSION['beacon_sess_customer_login_date']) && $_SESSION['beacon_sess_customer_login_date'] != '')
			$condition .= " AND date(ct.LoginDate) =  '".date('Y-m-d',strtotime($_SESSION['beacon_sess_customer_login_date']))."'";
			
		$sql	=	"SELECT SQL_CALC_FOUND_ROWS ".$fields." FROM {$this->customertrackingTable} as ct
					LEFT JOIN {$this->cityTable} as c ON (c.id = ct.fkCityId)
					LEFT JOIN {$this->userTypeTable} as u ON (u.id = ct.fkUserTypeId) WHERE 1".$condition." ORDER BY ".$sorting_clause." ".$limit_clause;
		$result = 	$this->sqlQueryArray($sql);
		return $result;
	}
}
?>